id: query-param-filter
name: Query Param Filter
description: Filters query parameters
category: Security
type: custom
standalone: true
requiresConnectivity: false
resourceLevelSupported: true
providedCharacteristics: []
requiredCharacteristics: []
configuration:
  - propertyName: regexFilter
    name: Regex Filter
    description: >
      A regular expression to
      filter a query parameter.
      Rejects unmatched requests.
    type: string
    defaultValue:
    optional: true
    sensitive: false
    allowMultiple: false
  - propertyName: queryParam
    name: Query Parameter
    description: >
      Name of a query parameter
      to filter by a regular expression.
    type: string
    defaultValue:
    optional: false
    sensitive: false
    allowMultiple: false